import cirq
import numpy as np

QUBIT_ORDER = [
    cirq.GridQubit(1, 4),
    cirq.GridQubit(1, 6),
    cirq.GridQubit(2, 3),
    cirq.GridQubit(2, 4),
    cirq.GridQubit(2, 5),
    cirq.GridQubit(2, 6),
    cirq.GridQubit(3, 2),
    cirq.GridQubit(3, 3),
    cirq.GridQubit(3, 4),
    cirq.GridQubit(3, 5),
    cirq.GridQubit(4, 1),
    cirq.GridQubit(4, 2),
    cirq.GridQubit(4, 3),
    cirq.GridQubit(4, 4),
    cirq.GridQubit(5, 0),
    cirq.GridQubit(5, 1),
    cirq.GridQubit(5, 2),
    cirq.GridQubit(5, 3),
    cirq.GridQubit(6, 0),
    cirq.GridQubit(6, 1),
    cirq.GridQubit(6, 2),
    cirq.GridQubit(7, 1),
    cirq.GridQubit(2, 7),
    cirq.GridQubit(3, 6),
    cirq.GridQubit(3, 7),
    cirq.GridQubit(3, 8),
    cirq.GridQubit(4, 5),
    cirq.GridQubit(4, 6),
    cirq.GridQubit(4, 7),
    cirq.GridQubit(4, 8),
    cirq.GridQubit(5, 4),
    cirq.GridQubit(5, 5),
    cirq.GridQubit(5, 6),
    cirq.GridQubit(5, 7),
    cirq.GridQubit(6, 3),
    cirq.GridQubit(6, 4),
    cirq.GridQubit(6, 5),
    cirq.GridQubit(6, 6),
    cirq.GridQubit(7, 2),
    cirq.GridQubit(7, 3),
    cirq.GridQubit(7, 4),
    cirq.GridQubit(7, 5),
    cirq.GridQubit(8, 3),
    cirq.GridQubit(8, 4),
    cirq.GridQubit(9, 3),
    cirq.GridQubit(4, 9),
    cirq.GridQubit(5, 8),
    cirq.GridQubit(5, 9),
    cirq.GridQubit(5, 10),
    cirq.GridQubit(6, 7),
    cirq.GridQubit(6, 8),
    cirq.GridQubit(6, 9),
    cirq.GridQubit(6, 10),
    cirq.GridQubit(7, 6),
    cirq.GridQubit(7, 7),
    cirq.GridQubit(7, 8),
    cirq.GridQubit(7, 9),
    cirq.GridQubit(8, 5),
    cirq.GridQubit(8, 6),
    cirq.GridQubit(8, 7),
    cirq.GridQubit(8, 8),
    cirq.GridQubit(9, 4),
    cirq.GridQubit(9, 5),
    cirq.GridQubit(9, 6),
    cirq.GridQubit(9, 7),
    cirq.GridQubit(10, 4),
    cirq.GridQubit(10, 5),
    cirq.GridQubit(10, 6),
    cirq.GridQubit(11, 5),
]

CIRCUIT = cirq.Circuit(
    [
        cirq.Moment(
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 2)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 0)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 5)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.2612955993283625).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.2612955993283634).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=2.7573953628787837).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-2.7573953628787837).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.7527342403892576).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-0.7527342403892576).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=3.065526104556402).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-3.065526104556402).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=1.4706641539637362).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.470664153963736).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=2.0728131138291523).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.0728131138291523).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.3042227832238922).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.3042227832238922).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.780950093726845).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.7809500937268445).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.8820361420801193).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.8820361420801195).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.8322400942425232).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.8322400942425232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=2.0489589154904913).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.048958915490491).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.643747321285698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=2.643747321285698).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=1.4135324809423206).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.4135324809423206).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.037807494727728).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=1.037807494727728).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18890261735140196).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17152387583679335).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21143593499023697).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21810512388860215).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19682242888186993).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1642090150154834).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19115970383629743).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19574503449006214).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2099465087307383).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(8, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20943306426986238).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20915572099920007).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1676477003865242).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18457626074614258).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(9, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1894634015183626).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(10, 5)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.2612955993283634).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.2612955993283625).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-2.7573953628787837).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=2.7573953628787837).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.7527342403892576).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=0.7527342403892576).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-3.065526104556402).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=3.065526104556402).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-1.470664153963736).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.4706641539637362).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-2.0728131138291523).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.0728131138291523).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.3042227832238922).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.3042227832238922).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.7809500937268445).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.780950093726845).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.8820361420801195).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.8820361420801193).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.8322400942425232).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.8322400942425232).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-2.048958915490491).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.0489589154904913).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.643747321285698).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-2.643747321285698).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-1.4135324809423206).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.4135324809423206).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.037807494727728).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-1.037807494727728).on(cirq.GridQubit(10, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 8)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 4)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(9, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(10, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.771541609109379).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=0.771541609109379).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=2.2032511888347663).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-2.2032511888347592).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.2504474826126994).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-2.2504474826126994).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.9660963455598761).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-1.9660963455598761).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.8916450086190757).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.8916450086190775).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.528940758172995).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.528940758172995).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-1.3182276735159864).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=1.3182276735159864).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-2.2148149002754742).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.214814900275478).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-2.4537636246664647).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=2.4537636246664647).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=2.5836427638180375).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-2.5836427638180393).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=0.692681637493596).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.692681637493596).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-2.266359116174497).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=2.266359116174497).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.8325167062256719).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=0.8325167062256719).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.9217435956567552).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.9217435956567552).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=1.951127176432289).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.951127176432289).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-0.8625808576370031).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.8625808576370027).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-1.953808892576351).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=1.953808892576351).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=0.9721956888559582).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-0.9721956888559582).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=1.0127476300318996).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-1.0127476300319).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-0.39961322784459335).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=0.39961322784459335).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=1.5714941135130145).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.5714941135130145).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-0.6391914494693456).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.6391914494693456).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-2.6211283717333593).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.6211283717333593).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=3.0015701905103835).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-3.0015701905103835).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.27190850219588825).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-0.27190850219588825).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=2.189604863287496).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.189604863287496).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-1.8365677752521492).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=1.8365677752521492).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.263613376686866).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.263613376686866).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.723461741246993).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=2.723461741246993).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-1.6207838550491296).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=1.6207838550491296).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-1.2976195437809146).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=1.2976195437809146).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.6387633632719449).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-0.6387633632719449).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-0.8601795609021057).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.8601795609021075).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-1.0828454194636965).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=1.0828454194636983).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1991075344865802).on(
                cirq.GridQubit(1, 4), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.278863906543818).on(
                cirq.GridQubit(1, 6), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18874291924258013).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1741578283639313).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1573074150978243).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16843528376889277).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1892314162607501).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19706081917445256).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21208225403319914).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(6, 0)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21729570994716024).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22031694067171556).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(7, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1880274314335533).on(
                cirq.GridQubit(2, 7), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20231637919169632).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2483274511608133).on(
                cirq.GridQubit(3, 8), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19520068637230154).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20712772617030242).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18708433205236347).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1929388422720038).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20030312213932958).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20773513077855016).on(
                cirq.GridQubit(6, 5), cirq.GridQubit(7, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20744024217608273).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19361360016668105).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(9, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18410984590037027).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(11, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2215544959498924).on(
                cirq.GridQubit(4, 9), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18242548153532667).on(
                cirq.GridQubit(5, 10), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1708402608578724).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2045230313886855).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1782350009252441).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21574817413367176).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20669377731840108).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.213392798553019).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.180832181230409).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(9, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20725101513973604).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(10, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19630953242723997).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(10, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.771541609109379).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-0.771541609109379).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-2.2032511888347592).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=2.2032511888347663).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.2504474826126994).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=2.2504474826126994).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.9660963455598761).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=1.9660963455598761).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.8916450086190775).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.8916450086190757).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.528940758172995).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.528940758172995).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=1.3182276735159864).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-1.3182276735159864).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=2.214814900275478).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.2148149002754742).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=2.4537636246664647).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-2.4537636246664647).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-2.5836427638180393).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=2.5836427638180375).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-0.692681637493596).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.692681637493596).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=2.266359116174497).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-2.266359116174497).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.8325167062256719).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-0.8325167062256719).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.9217435956567552).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.9217435956567552).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-1.951127176432289).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.951127176432289).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=0.8625808576370027).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.8625808576370031).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=1.953808892576351).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-1.953808892576351).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-0.9721956888559582).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=0.9721956888559582).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-1.0127476300319).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=1.0127476300318996).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=0.39961322784459335).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-0.39961322784459335).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-1.5714941135130145).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.5714941135130145).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=0.6391914494693456).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.6391914494693456).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=2.6211283717333593).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.6211283717333593).on(cirq.GridQubit(11, 5)),
            cirq.Rz(rads=-3.0015701905103835).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=3.0015701905103835).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.27190850219588825).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=0.27190850219588825).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-2.189604863287496).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.189604863287496).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=1.8365677752521492).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-1.8365677752521492).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.263613376686866).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.263613376686866).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.723461741246993).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-2.723461741246993).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=1.6207838550491296).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-1.6207838550491296).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=1.2976195437809146).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-1.2976195437809146).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.6387633632719449).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=0.6387633632719449).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=0.8601795609021075).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.8601795609021057).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=1.0828454194636983).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-1.0828454194636965).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(3, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 2)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 7)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=0.7423791619972846).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-0.7423791619972846).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=3.0158527926341954).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-3.0158527926341954).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-2.596785296185459).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=2.596785296185459).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=1.0347665664021903).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.0347665664021903).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=2.066223212558075).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-2.066223212558082).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-2.375609397570754).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=2.375609397570754).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=-0.5152905473001219).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=0.515290547300129).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.30161456892249205).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-0.30161456892249205).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-0.8451255925379398).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.8451255925379364).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=2.30170675437779).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-2.30170675437779).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=1.513990402370748).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-1.513990402370755).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-0.7602522012169253).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=0.7602522012169324).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-0.5374551093344779).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=0.537455109334477).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.7133812084870608).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=1.7133812084870608).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-0.22081212426099125).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=0.22081212426098415).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=1.2048218823134675).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.2048218823134675).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-2.1312434860746343).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=2.1312434860746414).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.6883673758078883).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.6883673758078883).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-0.24114608136490645).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=0.24114608136491356).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-2.3844893477428393).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.3844893477428393).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-2.3627223157220527).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=2.3627223157220527).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=0.430426894542908).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-0.43042689454290617).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=0.7505138250897438).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-0.7505138250897367).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=1.156800334739767).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-1.1568003347397688).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=0.08524789605545102).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-0.08524789605545102).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=2.882658452841886).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=-2.882658452841884).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=3.080849795720983).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-3.080849795720985).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=0.9877166127634602).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-0.9877166127634602).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=0.990692974388117).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-0.9906929743881178).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.189239360672011).on(
                cirq.GridQubit(2, 3), cirq.GridQubit(2, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20708668208023692).on(
                cirq.GridQubit(2, 5), cirq.GridQubit(2, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17951490294133365).on(
                cirq.GridQubit(3, 2), cirq.GridQubit(3, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21406970138628956).on(
                cirq.GridQubit(3, 4), cirq.GridQubit(3, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17245811241727238).on(
                cirq.GridQubit(4, 1), cirq.GridQubit(4, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1790132121562053).on(
                cirq.GridQubit(4, 3), cirq.GridQubit(4, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20164546002517517).on(
                cirq.GridQubit(5, 0), cirq.GridQubit(5, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1819442135689241).on(
                cirq.GridQubit(5, 2), cirq.GridQubit(5, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17886373365329).on(
                cirq.GridQubit(6, 1), cirq.GridQubit(6, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20843000704550588).on(
                cirq.GridQubit(3, 6), cirq.GridQubit(3, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18184312785253567).on(
                cirq.GridQubit(4, 5), cirq.GridQubit(4, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21607619984263057).on(
                cirq.GridQubit(4, 7), cirq.GridQubit(4, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20535008064020077).on(
                cirq.GridQubit(5, 4), cirq.GridQubit(5, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20753321685135195).on(
                cirq.GridQubit(5, 6), cirq.GridQubit(5, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2287621506399593).on(
                cirq.GridQubit(6, 3), cirq.GridQubit(6, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2280205267828539).on(
                cirq.GridQubit(6, 5), cirq.GridQubit(6, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20841614832475067).on(
                cirq.GridQubit(7, 2), cirq.GridQubit(7, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18068087382924608).on(
                cirq.GridQubit(7, 4), cirq.GridQubit(7, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.21181891328843647).on(
                cirq.GridQubit(8, 3), cirq.GridQubit(8, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18439623175385497).on(
                cirq.GridQubit(10, 5), cirq.GridQubit(10, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20065412112076714).on(
                cirq.GridQubit(5, 8), cirq.GridQubit(5, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2246697761209302).on(
                cirq.GridQubit(6, 7), cirq.GridQubit(6, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.16542470391874103).on(
                cirq.GridQubit(6, 9), cirq.GridQubit(6, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2329721092796212).on(
                cirq.GridQubit(7, 6), cirq.GridQubit(7, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19693643092824709).on(
                cirq.GridQubit(7, 8), cirq.GridQubit(7, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18436843864839964).on(
                cirq.GridQubit(8, 5), cirq.GridQubit(8, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.17589768395598604).on(
                cirq.GridQubit(8, 7), cirq.GridQubit(8, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20005547877943522).on(
                cirq.GridQubit(9, 4), cirq.GridQubit(9, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20413161904254268).on(
                cirq.GridQubit(9, 6), cirq.GridQubit(9, 7)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=-0.7423791619972846).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=0.7423791619972846).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-3.0158527926341954).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=3.0158527926341954).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=2.596785296185459).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-2.596785296185459).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-1.0347665664021903).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.0347665664021903).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-2.066223212558082).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=2.066223212558075).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=2.375609397570754).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-2.375609397570754).on(cirq.GridQubit(4, 4)),
            cirq.Rz(rads=0.515290547300129).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-0.5152905473001219).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.30161456892249205).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=0.30161456892249205).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=0.8451255925379364).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.8451255925379398).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-2.30170675437779).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=2.30170675437779).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-1.513990402370755).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=1.513990402370748).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=0.7602522012169324).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-0.7602522012169253).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=0.537455109334477).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-0.5374551093344779).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.7133812084870608).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-1.7133812084870608).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=0.22081212426098415).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-0.22081212426099125).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-1.2048218823134675).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.2048218823134675).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=2.1312434860746414).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-2.1312434860746343).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.6883673758078883).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.6883673758078883).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=0.24114608136491356).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-0.24114608136490645).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=2.3844893477428393).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.3844893477428393).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=2.3627223157220527).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-2.3627223157220527).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-0.43042689454290617).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=0.430426894542908).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-0.7505138250897367).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=0.7505138250897438).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-1.1568003347397688).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=1.156800334739767).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-0.08524789605545102).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=0.08524789605545102).on(cirq.GridQubit(7, 9)),
            cirq.Rz(rads=-2.882658452841884).on(cirq.GridQubit(8, 5)),
            cirq.Rz(rads=2.882658452841886).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-3.080849795720985).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=3.080849795720983).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-0.9877166127634602).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=0.9877166127634602).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-0.9906929743881178).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=0.990692974388117).on(cirq.GridQubit(9, 7)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            (cirq.Y**0.5).on(cirq.GridQubit(1, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(1, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 5)),
            (cirq.Y**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 1)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 2)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 8)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 7)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 8)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 9)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(1, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(4, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(9, 3)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(9, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(10, 6)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-1.9302818834483586).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=1.9302818834483586).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=-0.8603513732050151).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=0.8603513732050168).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=1.2330983634806323).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=-1.2330983634806252).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=0.43636549750119613).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-0.43636549750120324).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=3.0368933591533143).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-3.036893359153307).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=-0.5100447032325519).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=0.5100447032325519).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=2.481230523715894).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-2.481230523715894).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=1.6777934735546438).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=-1.6777934735546431).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=2.1121939732652706).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-2.1121939732652706).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-1.3983104172751872).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=1.3983104172751943).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=1.0671424509175509).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-1.0671424509175509).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=2.7992581301620056).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=-2.7992581301619985).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=2.46335788962514).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=-2.463357889625133).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=-1.7454010153184993).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=1.7454010153184993).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=-2.571673793954746).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=2.571673793954746).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=3.110674607986624).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=-3.110674607986624).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2083255098924832).on(
                cirq.GridQubit(2, 4), cirq.GridQubit(2, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1831333129652012).on(
                cirq.GridQubit(3, 3), cirq.GridQubit(3, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18257395168837431).on(
                cirq.GridQubit(4, 2), cirq.GridQubit(4, 3)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2333924529679418).on(
                cirq.GridQubit(5, 1), cirq.GridQubit(5, 2)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.23058984150420966).on(
                cirq.GridQubit(6, 0), cirq.GridQubit(6, 1)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2167245753664896).on(
                cirq.GridQubit(3, 7), cirq.GridQubit(3, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2195678600471277).on(
                cirq.GridQubit(4, 6), cirq.GridQubit(4, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18989410490333997).on(
                cirq.GridQubit(5, 5), cirq.GridQubit(5, 6)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.22395999558440083).on(
                cirq.GridQubit(6, 4), cirq.GridQubit(6, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.20357728485748755).on(
                cirq.GridQubit(7, 3), cirq.GridQubit(7, 4)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18337988955028933).on(
                cirq.GridQubit(10, 4), cirq.GridQubit(10, 5)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2088995125267881).on(
                cirq.GridQubit(5, 9), cirq.GridQubit(5, 10)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.19511590879204466).on(
                cirq.GridQubit(6, 8), cirq.GridQubit(6, 9)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.2533981480080052).on(
                cirq.GridQubit(7, 7), cirq.GridQubit(7, 8)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.18489628356989457).on(
                cirq.GridQubit(8, 6), cirq.GridQubit(8, 7)
            ),
            cirq.FSimGate(theta=1.5707963267948966, phi=0.1695628271074297).on(
                cirq.GridQubit(9, 5), cirq.GridQubit(9, 6)
            ),
        ),
        cirq.Moment(
            cirq.Rz(rads=1.9302818834483586).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-1.9302818834483586).on(cirq.GridQubit(2, 5)),
            cirq.Rz(rads=0.8603513732050168).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-0.8603513732050151).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-1.2330983634806252).on(cirq.GridQubit(4, 2)),
            cirq.Rz(rads=1.2330983634806323).on(cirq.GridQubit(4, 3)),
            cirq.Rz(rads=-0.43636549750120324).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=0.43636549750119613).on(cirq.GridQubit(5, 2)),
            cirq.Rz(rads=-3.036893359153307).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=3.0368933591533143).on(cirq.GridQubit(6, 1)),
            cirq.Rz(rads=0.5100447032325519).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-0.5100447032325519).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-2.481230523715894).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=2.481230523715894).on(cirq.GridQubit(4, 7)),
            cirq.Rz(rads=-1.6777934735546431).on(cirq.GridQubit(5, 5)),
            cirq.Rz(rads=1.6777934735546438).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-2.1121939732652706).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=2.1121939732652706).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=1.3983104172751943).on(cirq.GridQubit(7, 3)),
            cirq.Rz(rads=-1.3983104172751872).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-1.0671424509175509).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=1.0671424509175509).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-2.7992581301619985).on(cirq.GridQubit(5, 9)),
            cirq.Rz(rads=2.7992581301620056).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-2.463357889625133).on(cirq.GridQubit(6, 8)),
            cirq.Rz(rads=2.46335788962514).on(cirq.GridQubit(6, 9)),
            cirq.Rz(rads=1.7454010153184993).on(cirq.GridQubit(7, 7)),
            cirq.Rz(rads=-1.7454010153184993).on(cirq.GridQubit(7, 8)),
            cirq.Rz(rads=2.571673793954746).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-2.571673793954746).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-3.110674607986624).on(cirq.GridQubit(9, 5)),
            cirq.Rz(rads=3.110674607986624).on(cirq.GridQubit(9, 6)),
        ),
        cirq.Moment(
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=-12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=-7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=-9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=-17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=-14.804406601634037).on(cirq.GridQubit(10, 6)),
        ),
        cirq.Moment(
            (cirq.X**0.5).on(cirq.GridQubit(1, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(1, 6)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(2, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(2, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 1)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 2)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 3)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 4)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 0)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 2)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 1)),
            (cirq.X**0.5).on(cirq.GridQubit(2, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(3, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(4, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(4, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(4, 8)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 4)),
            (cirq.Y**0.5).on(cirq.GridQubit(5, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 2)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 3)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 5)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(8, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(8, 4)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 3)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(4, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(5, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(5, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(5, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(6, 7)),
            (cirq.Y**0.5).on(cirq.GridQubit(6, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(6, 9)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(6, 10)),
            (cirq.X**0.5).on(cirq.GridQubit(7, 6)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(7, 7)
            ),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 8)),
            (cirq.Y**0.5).on(cirq.GridQubit(7, 9)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(8, 8)),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 4)
            ),
            cirq.PhasedXPowGate(phase_exponent=0.25, exponent=0.5).on(
                cirq.GridQubit(9, 5)
            ),
            (cirq.X**0.5).on(cirq.GridQubit(9, 6)),
            (cirq.X**0.5).on(cirq.GridQubit(9, 7)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 4)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 5)),
            (cirq.X**0.5).on(cirq.GridQubit(10, 6)),
            (cirq.Y**0.5).on(cirq.GridQubit(11, 5)),
        ),
        cirq.Moment(
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(1, 4)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 3)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 4)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(2, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(3, 3)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(3, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 5)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(4, 1)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 0)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 1)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 0)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 2)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 1)),
            cirq.Rz(rads=12.337005501361697).on(cirq.GridQubit(2, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(3, 7)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(3, 8)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(5, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(5, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 3)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(6, 6)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 2)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(7, 4)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(7, 5)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(8, 4)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(4, 9)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(5, 8)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(5, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(6, 7)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(6, 10)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(7, 6)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(8, 6)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(8, 8)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 6)),
            cirq.Rz(rads=7.4022033008170185).on(cirq.GridQubit(9, 7)),
            cirq.Rz(rads=9.869604401089358).on(cirq.GridQubit(10, 4)),
            cirq.Rz(rads=17.271807701906376).on(cirq.GridQubit(10, 5)),
            cirq.Rz(rads=14.804406601634037).on(cirq.GridQubit(10, 6)),
        ),
    ]
)

